Bug 315 - /sbin/ifup : Лишние кавычки при передаче параметров для /sbin/ifenslave
: /sbin/ifup : Лишние кавычки при передаче параметров для /sbin/ifenslave
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/initscripts)
: unstable
: all Linux
: P4 major
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2002-01-04 02:55 by
Modified: 2003-08-25 15:18 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2002-01-04 02:55:09
Пакет initscripts-5.49-ipl34mdk, скрипт /sbin/ifup, строка 97 в оригинале:
\"$IFENSLAVE\" \"$RFLAG\" \"$MASTER\"
\"$DEVICE\".
В случае, если не инициализирована переменная $RFLAG,
выдается диагностика SIOCGIFHWADDR on__failed: No such
device. (обрати внимание на два пробела, замененные на \'_\')
---

---
После удаления кавычек (строка 97, /sbin/ifup) вокруг
переменной $RFLAG, работоспособность скрипта /sbin/ifup восстанавливается -
интерфейсы, привязываемые к bonding-интерфейсу нормально поднимаются.
------- Comment #1 From 2002-01-10 18:32:41 -------
Fixed in initscripts-5.49-ipl35mdk
------- Comment #2 From 2002-01-10 18:32:41 -------
Fixed in initscripts-5.49-ipl35mdk